> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update mailbox daily email limit

> Update mailbox daily email limit



## OpenAPI

````yaml patch /mailboxes/{id}
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /mailboxes/{id}:
    patch:
      tags:
        - Mailboxes
      summary: Update mailbox daily email limit
      description: Update mailbox daily email limit
      parameters:
        - name: id
          in: path
          required: true
          description: Mailbox id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - daily_email_limit
              properties:
                daily_email_limit:
                  type: integer
                  description: New daily email limit for the mailbox
        required: true
        description: Daily email limit update
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    id: 019e8e96-e535-70aa-9804-75681f4f7e9f
                    email: mailbox@example.com
                    email_provider: google
                    daily_email_limit: 100
                    status: active
                    user:
                      id: 019e8e96-e4ed-7aeb-b09a-f902fa0cda5c
                      name: Example User
                      email: foo-27@email.com
                    created_at: '2026-06-03T17:45:14Z'
                    updated_at: '2026-06-03T17:45:14Z'
                    _links:
                      self:
                        href: /mailboxes/019e8e96-e535-70aa-9804-75681f4f7e9f
              schema:
                type: object
                properties:
                  id:
                    type: string
                  email:
                    type: string
                  email_provider:
                    type: string
                    enum:
                      - google
                      - outlook
                      - other
                      - other_mixed
                  daily_email_limit:
                    type: integer
                  status:
                    type: string
                    enum:
                      - active
                      - inactive
                      - needs_reconnection
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        nullable: true
                        type: string
                      email:
                        type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  _links:
                    type: object
                    properties:
                      self:
                        type: object
                        properties:
                          href:
                            type: string
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad request:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          daily_email_limit cannot exceed the account's maximum
                          limit of 150
                        source:
                          pointer: /daily_email_limit
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Mailbox not found
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````